Viewing Issue Simple Details Jump to Notes ] Wiki ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0009163 [DCSS] Bug Report minor always 2014-11-09 17:23 2015-07-15 16:53
Reporter nagdon View Status public  
Assigned To MarvinPA
Priority normal Resolution done  
Status closed   Product Branch 0.16 ancient branch
Summary 0009163: Strange interactions of Potion petition / no potion status / no device heal mutation
Description The Potion petition ability of Gozag is available even if the player is unable to drink potions (mummy, -Potion from Ozocubu's Refrigeration or other sources, Necromutation). This is not a problem by itself (the description says "potion effects", not potions), but causes some strange effects:

* Mummies and liches can buy porridge, which is useless for them.

* The message for porridge ("That potion was really gluggy!") and poison ("That liquid tasted very nasty...") seems to imply that there is a physical potion.

* The death source names of poison ("a potion of poison") and degeneration ("drinking a potion of degeneration") are also inaccurate if the effect was granted by Gozag.

The other strange thing is that the no device heal mutation blocks the healing effects of curing and heal wounds, this isn't logical if these effects are the results of direct divine power and not a concrete potion.

I suggest making petition for heal wounds/curing work even if the player has no device heal (or alternatively disallow Potion petition when potions are disallowed).
Additional Information
Tags No tags attached.
Attached Files

- Relationships

-  Notes
(0029317)
MarvinPA (developer)
2015-07-15 09:45

Fixed, Potion Petition now works through no device healing.

- Issue History
Date Modified Username Field Change
2014-11-09 17:23 nagdon New Issue
2015-06-29 19:06 MarvinPA Issue Monitored: MarvinPA
2015-07-15 09:45 MarvinPA Issue End Monitor: MarvinPA
2015-07-15 09:45 MarvinPA Note Added: 0029317
2015-07-15 09:45 MarvinPA Status new => resolved
2015-07-15 09:45 MarvinPA Fixed in Branch => 0.16 pre-release branch
2015-07-15 09:45 MarvinPA Resolution open => done
2015-07-15 09:45 MarvinPA Assigned To => MarvinPA
2015-07-15 16:53 nagdon Status resolved => closed


Mantis 1.1.8[^]
Copyright © 2000 - 2009 Mantis Group
Powered by Mantis Bugtracker